WordPress.org

Ready to get started?Download WordPress

Forums

Fast Secure Contact Form
I upgraded to 4.xx version and my forms did not import (16 posts)

  1. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    The first half hour of 4.xx downloads 09/29/2013 had a bug that prevented the auto import from version 3.xx routine from firing. Sorry for any inconvenience.

    If that happened to you here is the help page:
    http://www.fastsecurecontactform.com/forms-did-not-import

    http://wordpress.org/plugins/si-contact-form/

  2. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    Versions 4.0.6 and 4.0.7 had a bug that sometimes prevented the automatic import from version 3.xx routine from firing.

    This could also happen to a few beta testers who uploaded the zip file to WP. Also, a few others may report this happened for unknown reasons. Sorry for any inconvenience.

    In version 4.0.8, I fixed a couple problems with importing settings from 3.xx version.

    I also added a button on the Tools tab to "Import forms from 3.xx version" for those who might be troubled by an import failure.

    More help
    http://www.fastsecurecontactform.com/forms-did-not-import

  3. aschobey
    Member
    Posted 9 months ago #

    I've been able to restore all the forms using your "Import forms from 3.xx version" tool EXCEPT for form number 1, which was the most complicated. My client is really mad. What do I do?

  4. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    Try update to 4.0.10 and try that button again.

    Warning the button will replace the 4.xx forms, so if you already reconfigured those, they will be replaced with the 3.xx ones. Decide what you want to do before you do it.

    Did you ever use the Backup button on 3.xx? If so, you can restore from that on the Tools tab.

  5. LydianWeb
    Member
    Posted 9 months ago #

    I have version 4.0.10 and I am still unable to restore my Form Number 1. How can I go about reverting back to FS Contact Form 3?

  6. LydianWeb
    Member
    Posted 9 months ago #

    Actually, I was able to take care of it and everything's working fine. Thanks for a great plugin!

  7. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    LydianWeb, aschobey said he had the same symptom, so how did you resolve the issue?

  8. RaiderKnight
    Member
    Posted 9 months ago #

    Same problem as aschobey !
    The form number 1, has not been imported !

    What's the trick !

  9. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    I will give free help to the next person who makes a support ticket about this issue of form 1 not importing
    http://www.fastsecurecontactform.com/support
    Maybe I can restore your form and make a bug fix so others will not have the issue anymore

  10. EnderWiggin
    Member
    Posted 9 months ago #

    I would like to rollback to version 3 as well, I just lost 2 out of 20 forms. By selecting them, I lose them. Can I just deactivate and delete version 4 are re-install version 3?

  11. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    EnderWiggin,

    Sorry you had trouble. I have not been able to duplicate this problem on my test server.

    Let me help.
    What version 4.xx do you have?
    The current version contains some improvements to the import routines.

    Did you try the button on the Tools tab to "Import forms from 3.xx version"?

    Did you ever use the Backup button on version 3.xx? If so, on the Tools tab there is Restore button to restore from that backup.

    The upgrade is run automatically only once after installing or upgrading the 4.xx version over a 3.xx versions.
    The 4.xx version uses different wp options settings than 3.xx and does not delete the 3.xx settings, they should still be there as long as you do not use the delete button when deactivating the 3.xx plugin.

    You can and should always have a backup of your forms.
    Read How to backup / restore forms.

    Yes you can downgrade to the 3.xx version.

    I would like a copy of your 3.xx backup to investigate what happened in case it is something I can fix. You can contact me here if you are able to send it to me.

  12. EnderWiggin
    Member
    Posted 9 months ago #

    Hello Mike,

    Running Version 4.0.12 and WP 3.6.1.

    I just tried the Import forms from 3.xx version, and just lost all but two form out of 20. Yesterday I could see all the forms but once I selected a form in Select a form drop-down, the form name was replaced with a generic "Form" and my fields seemed to be gone.

    However even though I no longer see the forms listed in Fast Secure Contact Form Settings page, the forms are still being displayed on the website.

    Sadly no to the backup button. I did backup my entire WP site and database before updating to 4.0.12. I also had some error messages displayed but I failed to copy them...

    What would you advise? Rollback to 3?

    If I have to I will start from scratch with version 4 but would rather not if i can avoid it...

  13. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    OK it should all be fixed now

    Update to version 4.0.13 and then click the button on the Tools tab "Import forms from 3.xx version". all your forms should import OK

    = 4.0.13 =
    - (08 Oct 2013) - Bux fix: some forms would fail to import when label had some Non-US-ASCII or Chinese characters.
    - Bux fix: Form save error when tag had some Non-US-ASCII or Chinese characters.
    - Bux fix: button on the Tools tab "Import forms from 3.xx version" did not always work correctly.

  14. GR8FL
    Member
    Posted 9 months ago #

    I tried the import my 3.xx forms but got the following message:

    "You do not have sufficient permissions to access this page."

    This is really bad. I spent countless hours working on 3 of the forms.

    Please help!!!

  15. Mike Challis
    Member
    Plugin Author

    Posted 9 months ago #

    GR8FL, try log out of WP, then log back in again. or try another web browser. That permission error should not happen.

  16. GR8FL
    Member
    Posted 9 months ago #

    Got it to work Mike, thank you!

    Do I need to save them into the new version (4.0.13)?

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.